"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeID = void 0;
const _helpers_js_1 = require("./_helpers.js");
/**
 * Removes non-alphanumeric characters from `str` which are not `_`, `-`, or `#`.
 *
 * > Why those characters? This was designed with DynamoDB keys in mind.
 */
exports.sanitizeID = (0, _helpers_js_1.getSanitizerFn)(/[^a-zA-Z0-9-_#]/g);
